# NAG-IoT zadání pro 1. kolo

**Hlavní téma - ovládání chytrého domu**

## Zadání:
1. Seznamte se s Raspberry Pi a připojte ho do internetu.
	- Pro Raspberry Pi doporučujeme standardní instalaci Raspbian.
    
    
2. Připojte LED jako vnitřní osvětlení domu a ovládací tlačítko. Tlačítko naprogramujte jako schodišťový spínač, tj. po stisknutí svítí LED 10 sekund a pak sama zhasne.

3. Připojte snímač světla BH1750 a čtěte úroveň osvětlení. Při nízké úrovni (zakrytí snímače) rozsviťte jinou LED vnějšího osvětlení.

4. Aktuální hodnotu osvětlení posílejte v pravidelných intervalech na soutěžní server.
	- Základní rozcestník je na [https://nag-iot.zcu.cz](https://nag-iot.zcu.cz).
	- Návod na nastavení týmu a používání soutěžního serveru je [ZDE](https://docs.google.com/document/d/1L-JYmyoOanKwLm7SJu2wzIWG7bnmrRtBto7MfEs0mO0/view). 
    
    
5. Sestavte příjezdovou závoru, pohon závory je servo. Závora se zdvíhá při stisku tlačítka a spustí se automaticky po 10 sekundách.

6. Doplňte závoru o infra čidlo (vysílací infra LED a přijímací senzor s clonami proti okolnímu osvětlení) a naprogramujte ovládání závory tak, aby v případě, že v prostoru závory je překážka, závora zůstane zdvižená a spustí se až po odstranění překážky (simulace vjezdové závory pro automobil).

7. Připojte čtečku karet a čipů (RFID-RC522). Naprogramujte čtení vybraných karet a čipů. Pro vybranou skupinu otvírejte závoru, na ostatní karty reagujte rozsvícením červené LED.

8. Připojte PIR čidlo a přepínač. Přepínač aktivuje funkci PIR čidla (funkce zabezpečení objektu při odchodu). Při narušení zabezpečeného objektu rozsviťte červenou LED a spusťte alarm (bzučák). Chráněný prostor vymezte např. papírovými clonkami kolem PIR čidla.

9. Připojte displej na zobrazování stavu chytrého domu a zobrazte maximum stavových informací.

10. Předchozí obvody a technické prvky zabudujte do makety chytrého domu (např. z papíru).

11. Natočte prezentační video, které představí tým a výsledek dosažený v tomto kole **včetně ukázky splněných jednotlivých bodů ze zadání**. Video uložte na Youtube a sdílejte dle pravidel soutěže. V dokumentaci uveďte URL videa. Maximální délka videa je 3 minuty.

12. Veškeré provedené práce dokumentujte zdrojovými kódy, podrobným popisem řešení, včetně obrazové nebo fotodokumentace. Věnujte prosím pozornost tomu, aby veškeré zdrojové kódy včetně dokumentace byly uloženy na GIT serveru soutěže. Návody a postup, ke každému úkolu, ukládejte do souboru “README.md” (ve formátu wiki) v příslušném adresáři úkolu. **Do termínu odevzdání nezapomeňte vyplnit připravenou tabulku splněných úkolů ve vašem repozitáři**. Samotné odevzdání proběhne automaticky zkopírováním obsahu větve master vašeho repozitáře uloženého na GIT serveru k datu 8.1.2020 23:59.

